---
title: unicode-bidi
slug: Web/SVG/Attribute/unicode-bidi
tags:
  - SVG
  - SVG Attribute
---
<div>{{SVGRef}}</div>

<p>The <strong><code>unicode-bidi</code></strong> attribute specifies how the accumulation of the background image is managed.</p>

<p class="note"><strong>Note:</strong> As a presentation attribute, <code>unicode-bidi</code> can be used as a CSS property. See the <a href="/en-US/docs/Web/CSS/unicode-bidi">CSS <code>unicode-bidi</code></a> property for more information.</p>

<p>As a presentation attribute, it can be applied to any element but it has effect only on the following eleven elements: {{SVGElement("altGlyph")}}, {{SVGElement("textPath")}}, {{SVGElement("text")}}, {{SVGElement("tref")}}, and {{SVGElement("tspan")}}</p>

<h2 id="Context_notes">Context notes</h2>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><code>{{csssyntax("unicode-bidi")}}</code></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><code>normal</code></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>No</td>
  </tr>
 </tbody>
</table>

<p>For a description of the values, please refer to the CSS {{cssxref("unicode-bidi")}} property.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("CSS3 Writing Modes", "#unicode-bidi", "unicode-bidi")}}</td>
   <td>{{Spec2("CSS3 Writing Modes")}}</td>
   <td>SVG 2 only refers to CSS Writing Modes.<br>
    Introduced <code>isolate</code>, <code>isolate-override</code>, and <code>plaintext</code> keywords.</td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "text.html#UnicodeBidiProperty", "unicode-bidi")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("svg.attributes.presentation.unicode-bidi")}}</p>
